# Generated by Django 2.1 on 2018-08-22 16:30

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AccessToken',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('access_token', models.CharField(max_length=8192)),
                ('scope', models.CharField(max_length=1024)),
                ('exp', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='AccessTokenAudience',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('aud', models.CharField(max_length=1024)),
                ('access_token', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mp_auth.AccessToken')),
            ],
        ),
        migrations.CreateModel(
            name='JsonWebKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('kid', models.CharField(max_length=256, unique=True)),
                ('kty', models.CharField(max_length=256)),
                ('alg', models.CharField(max_length=256)),
                ('x5c', models.CharField(max_length=8192)),
            ],
        ),
        migrations.CreateModel(
            name='Provider',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('iss', models.CharField(max_length=1024, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='UserAssociation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uid', models.CharField(max_length=255, unique=True)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mp_auth.Provider')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='jsonwebkey',
            name='iss',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mp_auth.Provider'),
        ),
        migrations.AddField(
            model_name='accesstoken',
            name='user_association',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mp_auth.UserAssociation'),
        ),
    ]
